Get details about heap dumps for a Deployment
- GET /deployments/{deployment_id}/heap_dumps
Gets details about existing heap dumps and in progress heap dump captures across all instances belonging to the deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
Responses
The heap dump details for all instances belonging to the deployment
-
elasticsearchResourceHeapDumpsrequired -
The list of Elasticsearch resources and their heap dumps
-
ref_idstringrequired -
The locally-unique user-specified id of the resource that the heap dump was captured from
-
idstringrequired -
The randomly-generated id of a Resource
-
heap_dumpsHeapDumprequired -
The heap dumps belonging to this resource
-
instance_idstringrequired -
The Elastic Cloud name/id of the instance (container)
-
sizeinteger -
The size in bytes of the heap dump
-
typestringrequired -
The type of heap dump
-
statusstringrequired -
The status of the heap dump
-
errorstring -
An error message if the heap dump failed
-
capturedstringrequired -
The time at which the heap dump was captured
-
enterprise_searchResourceHeapDumpsrequired -
The list of Enterprise Search resources and their heap dumps
-
ref_idstringrequired -
The locally-unique user-specified id of the resource that the heap dump was captured from
-
idstringrequired -
The randomly-generated id of a Resource
-
heap_dumpsHeapDumprequired -
The heap dumps belonging to this resource
-
instance_idstringrequired -
The Elastic Cloud name/id of the instance (container)
-
sizeinteger -
The size in bytes of the heap dump
-
typestringrequired -
The type of heap dump
-
statusstringrequired -
The status of the heap dump
-
errorstring -
An error message if the heap dump failed
-
capturedstringrequired -
The time at which the heap dump was captured
The deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response